Bug 201739

Summary: cad/sweethome3d: update to 5.0
Product: Ports & Packages Reporter: Zsolt Udvari <uzsolt>
Component: Individual Port(s)Assignee: Jason Unovitch <junovitch>
Status: Closed FIXED    
Severity: Affects Some People CC: junovitch, matthias
Priority: --- Keywords: easy, patch
Version: LatestFlags: matthias: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
Poudriere testport log from 10.1-RELEASE jail none

Description Zsolt Udvari 2015-07-21 10:30:36 UTC
Created attachment 159042 [details]
patch

Simple update to 5.0
Poudriere log: http://poudriere.uzsolt.hu/sweethome3d/5.0/amd64-default.log
Comment 1 Matthias Petermann 2015-07-21 11:07:03 UTC
Hello Zsolt, thanks for the submission of the patch. I'll review it during the current week. Best regards, Matthias
Comment 2 Matthias Petermann 2015-07-21 19:25:08 UTC
Approved. Thanks again & hope one of the committers picks this up soon.
Comment 3 Jason Unovitch freebsd_committer 2015-07-24 00:54:28 UTC
Created attachment 159124 [details]
Poudriere testport log from 10.1-RELEASE jail

Hello,
Only comment would be adding "NO_ARCH= yes" pre-commit to resolve the following QA issue:
 
pkg-static: DEVELOPER_MODE: Notice: arch "FreeBSD:10:amd64" -- no architecture specific files found:

Otherwise my 10.1-RELEASE Poudriere log attached and I've tested this on the following range in Poudriere.

8.4-RELEASE-p31      amd64
8.4-RELEASE-p31      i386
9.3-RELEASE-p17      amd64
9.3-RELEASE-p17      i386
10.1-RELEASE-p14     amd64
10.1-RELEASE-p14     i386
10.2-BETA2           amd64
10.2-BETA2           i386
11.0-CURRENT r284725 amd64
11.0-CURRENT r284725 i386
Comment 4 Jason Unovitch freebsd_committer 2015-08-04 02:23:27 UTC
(In reply to Jason Unovitch from comment #3)

Pending review.  I'm only making one change to the patch for NO_ARCH.

Log:
- Update to 5.0
- Add NO_ARCH

PR:		201739
Submitted by:	udvzsolt@gmail.com
Approved by:	matthias@petermann-it.de (maintainer), (feld|delphij|pgollucci) (mentor)
Comment 5 Jason Unovitch freebsd_committer 2015-08-04 02:25:05 UTC
(In reply to Jason Unovitch from comment #4)

Actually I need to investigate this first:
WARN: Makefile: a port shall not define both USE_ANT and USES[+]=gmake
Comment 6 Jason Unovitch freebsd_committer 2015-08-04 02:34:20 UTC
(In reply to Jason Unovitch from comment #5)
Disregard, this portlint gmake/ant warning was fixed earlier this month.  I updated my machine and that is not an issue.  Ref: https://bugs.FreeBSD.org/200421
Comment 7 commit-hook freebsd_committer 2015-08-05 23:54:31 UTC
A commit references this bug:

Author: junovitch
Date: Wed Aug  5 23:54:29 UTC 2015
New revision: 393627
URL: https://svnweb.freebsd.org/changeset/ports/393627

Log:
  - Update to 5.0
  - Add NO_ARCH

  PR:		201739
  Submitted by:	udvzsolt@gmail.com
  Approved by:	matthias@petermann-it.de (maintainer), pgollucci (mentor)

Changes:
  head/cad/sweethome3d/Makefile
  head/cad/sweethome3d/distinfo
Comment 8 Jason Unovitch freebsd_committer 2015-08-10 23:03:11 UTC
Take, add keywords for posterity, and close.